Contents
Index 🔎︎

# FindPropertyObject Function

Enables objects to be addressed at run-time as a string parameter using the object name.

For example, the following command:

    MyObj.Prop1.Command = 5

corresponds to the command block:

    Dim ObjVar as Object
    Dim ObjProp as Object
    ObjName As String = "MyObj"
    ObjVar = FindObject( ObjName As String )
    PropName As String = "Prop1"
    ObjProp = FindPropertyObject( ObjVar, PropName As String )
    ObjProp.Command = 5

This allows names to be dynamically created at run-time. For example:

"TextEdit1" to "TextEdit5" in a loop to create five control names.

See also: FindObject

## Syntax:

    FindPropertyObject( ObjVar, PropName As String )

## Parameters:

ObjVar: Object variable that you want to dynamically define at run-time.

PropName: String that specifies the name of the property that you want to address at run-time.

### Error codes:

5 Invalid procedure call

12 Variable not defined

14 Invalid parameter

52 Invalid file name or file number

57 Device I/O error